curl --request PUT \
--url https://api.avidoai.com/v0/scrape-jobs/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-application-id: <api-key>' \
--data '
{
"name": "Documentation Scrape Updated",
"status": "PENDING",
"pages": [
{
"url": "https://example.com/page1",
"title": "Page 1",
"description": "This is the first page of the documentation.",
"category": "Documentation"
},
{
"url": "https://example.com/page2"
}
]
}
'import requests
url = "https://api.avidoai.com/v0/scrape-jobs/{id}"
payload = {
"name": "Documentation Scrape Updated",
"status": "PENDING",
"pages": [{
"url": "https://example.com/page1",
"title": "Page 1",
"description": "This is the first page of the documentation.",
"category": "Documentation"
}, { "url": "https://example.com/page2" }]
}
headers = {
"x-api-key": "<api-key>",
"x-application-id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'x-api-key': '<api-key>',
'x-application-id': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'Documentation Scrape Updated',
status: 'PENDING',
pages: [
{
url: 'https://example.com/page1',
title: 'Page 1',
description: 'This is the first page of the documentation.',
category: 'Documentation'
},
{url: 'https://example.com/page2'}
]
})
};
fetch('https://api.avidoai.com/v0/scrape-jobs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdAt": "2024-01-05T12:34:56.789Z",
"modifiedAt": "2024-01-05T12:34:56.789Z",
"orgId": "org_123",
"applicationId": "456e4567-e89b-12d3-a456-426614174000",
"initiatedBy": "user_123",
"name": "Documentation Scrape",
"url": "https://example.com",
"status": "PENDING",
"quickstartStatus": "NOT_ASSOCIATED",
"pages": [
{
"url": "https://example.com/page1",
"title": "Page 1",
"description": "This is the first page of the documentation.",
"category": "Documentation"
},
{
"url": "https://example.com/page2"
}
],
"failedPages": [
{
"url": "https://example.com/page3",
"error": "Connection timeout after 5 retries"
}
]
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Invalid request data",
"issues": [
{
"code": "invalid_string",
"message": "Invalid UUID",
"path": [
"id"
]
}
]
}{
"message": "Resource not found"
}Update a scrape job
Authorizations
Your unique Avido API key
Your unique Avido Application ID
Path Parameters
The unique identifier of the scrape job
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"123e4567-e89b-12d3-a456-426614174000"
Body
Request body for updating a scrape job's pages
The new name/title of the scrape job
"Documentation Scrape Updated"
The status of the scrape job
MAPPING, PENDING, IN_PROGRESS, COMPLETED, FAILED "PENDING"
Array of page URLs to update
Show child attributes
Show child attributes
[
{
"url": "https://example.com/page1",
"title": "Page 1",
"description": "This is the first page of the documentation.",
"category": "Documentation"
},
{ "url": "https://example.com/page2" }
]
Response
Scrape job updated successfully
Response containing the updated scrape job details
The unique identifier of the scrape job
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"123e4567-e89b-12d3-a456-426614174000"
When the scrape job was created
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$"2024-01-05T12:34:56.789Z"
When the scrape job was last modified
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$"2024-01-05T12:34:56.789Z"
Organization ID that owns the scrape job
"org_123"
Application ID this scrape job belongs to
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"456e4567-e89b-12d3-a456-426614174000"
User ID who initiated the scrape job
"user_123"
The name/title of the scrape job
"Documentation Scrape"
The URL that was scraped
2048"https://example.com"
Current status of the scrape job
MAPPING, PENDING, IN_PROGRESS, COMPLETED, FAILED "PENDING"
The quickstart association status of the scrape job
PROCESSING, REVIEW, COMPLETED, NOT_ASSOCIATED "NOT_ASSOCIATED"
The pages scraped from the URL
Show child attributes
Show child attributes
[
{
"url": "https://example.com/page1",
"title": "Page 1",
"description": "This is the first page of the documentation.",
"category": "Documentation"
},
{ "url": "https://example.com/page2" }
]
Pages that failed to scrape after all retry attempts
Show child attributes
Show child attributes
[
{
"url": "https://example.com/page3",
"error": "Connection timeout after 5 retries"
}
]